public class Arrays {

    public static void main (String[] args) {

		// Arrays fuer jeden primitiven Datentyp anlegen und initialisieren

		// Deklaration mit gleichzeitiger Initialisierung
		byte[]  byteArray  = {-127, 4, 127};
		short[] shortArray = {32767, 42, -32000}; 		// Wertebereich ueberschritten: {35480, 42, -33000};
		int[]   intArray   = {-3, 2364, -7456};
		float[] floatArray = {3.245f, -57.312f, 9f};	// "f" fr float vergessen: {3.245, -57.312, 9}

		// so knnen Arrays auch deklariert und initialisiert werden
		double[] doubleArray = new double[3];
		doubleArray[0] = 4.94065645;
		doubleArray[1] = 523.241;
		doubleArray[2] = 0.111;

		// fr jedes Array gibt es eine statische Methoden, die den Inhalt des Arrays ausgibt
		// diese Methoden erwarten beim Aufruf einen Array-Parameter vom passenden Typ
		printByteArray (byteArray);
		printShortArray (shortArray);
		printIntArray (intArray);
		printFloatArray (floatArray);
		printDoubleArray (doubleArray);
	}
	
	
	// Methoden fuer die Ausgabe der Arrays
	
	// die Laenge des uebergebenen Arrays ber die Variable .length abfragen
	public static void printByteArray (byte[] array) {
		int i = 0;
		while (i < array.length) {
			System.out.println ("byteArray[" + i + "] = " + array[i]);
			i++;
		}
	}
	
	public static void printShortArray (short[] array) {
		int i = 0;
		while (i < array.length) {
			System.out.println ("shortArray[" + i + "] = " + array[i]);
			i++;
		}
	}
	
	public static void printIntArray (int[] array) {
		int i = 0;
		
		while (i < array.length) {
			System.out.println ("intArray[" + i + "] = " + array[i]);
			i++;
		}
	}
	
	public static void printFloatArray (float[] array) {
		int i = 0;
		while (i < array.length) {
			System.out.println ("floatArray[" + i + "] = " + array[i]);
			i++;
		}
	}
	
	public static void printDoubleArray (double[] array) {
		int i = 0;
		while (i < array.length) {
			System.out.println ("doubleArray[" + i + "] = " + array[i]);
			i++;
		}
	}
}

/*
Wertebereich der Datentypen:
byte 	-128 	127 	
short 	-32.768 	32.767 	
int 	-2.147.483.648 	2.147.483.647 
long 	-9.223.372.036.854.775.808 	9.223.372.036.854.775.807 	
float 	ca. 1,40e-45 * 	3,40282346638528860e+38 
double 	4,94065645841246544e-324 	1,79769313486231570e-308
*/